Show / Hide Table of Contents

# Struct SDL.SDL_PixelFormat

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_PixelFormat

### Fields

| Improve this Doc View Source

#### Aloss

##### Declaration

    public byte Aloss

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Amask

##### Declaration

    public uint Amask

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Ashift

##### Declaration

    public byte Ashift

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### BitsPerPixel

##### Declaration

    public byte BitsPerPixel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Bloss

##### Declaration

    public byte Bloss

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Bmask

##### Declaration

    public uint Bmask

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Bshift

##### Declaration

    public byte Bshift

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### BytesPerPixel

##### Declaration

    public byte BytesPerPixel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### format

##### Declaration

    public uint format

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Gloss

##### Declaration

    public byte Gloss

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Gmask

##### Declaration

    public uint Gmask

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Gshift

##### Declaration

    public byte Gshift

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### next

##### Declaration

    public IntPtr next

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### palette

##### Declaration

    public IntPtr palette

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### refcount

##### Declaration

    public int refcount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Rloss

##### Declaration

    public byte Rloss

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Rmask

##### Declaration

    public uint Rmask

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Rshift

##### Declaration

    public byte Rshift

##### Field Value

Type | Description
--- | ---
System.Byte |